This endpoint retrieves a paginated list of employing entities available within the specified organisation.
GET
https://api.employmenthero.com/api/v1/organisations/:organisation_id/employing_entitiesPath Parameters
organisation_iduuidrequired
The ID of the organisation to retrieve
Query Parameters
page_indexnumber
Current page index
Default
1Min
1item_per_pagenumber
Number of items per page
Default
20Max
100Response Body
A hash with a data property that contains an array of employing entity objects and pagination information. Each employing entity object includes the unique identifier and name of the entity.
dataobject
itemsobject[]
iduuid
Unique identifier for the employing entity.
namestring
Name of the employing entity.
page_indexnumber
Current page index
Default
1Min
1item_per_pagenumber
Number of items per page
Default
20Max
100total_itemsnumber
Total items
total_pagesnumber
Total pages
Example
curl -X GET \ "https://api.employmenthero.com/api/v1/organisations/:organisation_id/employing_entities" \ -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"Response
{ "data": { "items": [ { "id": "3a41ab5f-fd18-4c99-b475-040a098dac89", "name": "AU" }, { "id": "b42cc588-9485-4b72-9cb2-c232d79038f9", "name": "SG" } ], "page_index": 1, "item_per_page": 20, "total_items": 2, "total_pages": 1 }}